Bug 150241 - Crash in: void rtl::str::assign<_rtl_uString>(_rtl_uString**, _rtl_uString*)
Summary: Crash in: void rtl::str::assign<_rtl_uString>(_rtl_uString**, _rtl_uString*)
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.5.0 target:7.3.6 target:7.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-03 05:50 UTC by thebudget72
Modified: 2022-09-21 13:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["void rtl::str::assign<_rtl_uString>(_rtl_uString**, _rtl_uString*)"]
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thebudget72 2022-08-03 05:50:24 UTC
This bug was filed from the crash reporting server and is br-76f12ce6-3df7-423d-a479-f715fa16b5f8.
=========================================

I have deleted some style, then tried to save the document when LibreOffice Writer crashed.
Comment 1 Commit Notification 2022-08-03 12:41:41 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4afb80eaa0df58b78e2bfad892f9e7ce5e1bce7a

tdf#150241: a blind fix attempt

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Mike Kaganski 2022-08-03 12:43:03 UTC
Hope it's resolved by the change; I couldn't repro it, and it was, as indicated, a blind fix.

It would be nice if you could check and confirm if it's fixed for you (in case it's reproducible).
Comment 3 Commit Notification 2022-08-08 13:59:48 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/b87c3e7ecb7e9f1914cc81a1758f9f2aa5170f78

tdf#150241: a blind fix attempt

It will be available in 7.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-08-10 07:10:06 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/ef6fb0eda1d875e1d7975152d966fba33f431c26

tdf#150241: a blind fix attempt

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Buovjaga 2022-09-04 11:27:14 UTC
thebudget72: you can test this right now with an appimage, for example: https://appimage.sys42.eu/prerelease/LibreOfficeDev-7.4.1.1.basic-x86_64.AppImage